dataset:
  name: fb15k
  num_entities: 14951
  num_relations: 1345
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
import:
- transe
- reciprocal_relations_model
job:
  device: cuda:1
lookup_embedder:
  dim: 512
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.00046641918462790577
    uniform_:
      a: -0.49293330636486765
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    p: 1
    weighted: true
model: reciprocal_relations_model
negative_sampling:
  num_samples:
    o: 35
    s: 12
reciprocal_relations_model:
  base_model:
    type: transe
train:
  auto_correct: true
  batch_size: 256
  loss: bce
  loss_arg: 17.540344176544743
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 5
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.03905029418908963
  type: negative_sampling
transe:
  entity_embedder:
    dropout: 0.02436051487143487
    normalize:
      p: 2.0
    regularize_weight: 9.595942924544555e-11
  relation_embedder:
    dropout: -0.08154134635692545
    normalize:
      p: 2.0
    regularize_weight: 9.529759313329966e-18
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

